<?php










abstract class KeywordsCache implements CacheData
{
protected $keywords;

public function synchronize()
{
$this->keywords=array();
$result=PersistenceContext::get_querier()->select('SELECT relation.id_in_module, relation.id_keyword, keyword.*
			FROM '.DB_TABLE_KEYWORDS_RELATIONS.' relation
			LEFT JOIN '.DB_TABLE_KEYWORDS.' keyword ON keyword.id = relation.id_keyword
			WHERE relation.module_id = :module_id
			ORDER BY relation.id_keyword',array(
'module_id'=>self::get_class()->get_module_identifier()
));
while($row=$result->fetch())
{
$keyword=new Keyword();
$keyword->set_properties($row);
$this->keywords[$row['id_in_module']][$row['name']]=$keyword;
}
$result->dispose();
}

abstract public function get_module_identifier();

public function get_keywords($id_in_module)
{
if($this->has_keywords($id_in_module))
{
return $this->keywords[$id_in_module];
}
return array();
}

public function has_keywords($id)
{
return array_key_exists($id,$this->keywords);
}





public static function load()
{
return CacheManager::load(get_called_class(),self::get_class()->get_module_identifier(),'keywords');
}




public static function invalidate()
{
CacheManager::invalidate(self::get_class()->get_module_identifier(),'keywords');
}

public static function get_class()
{
$class_name=get_called_class();
return new $class_name();
}
}
?>
